Zum Hauptinhalt springen

Check if a Domain is available to transfer

POST/v2/domain-transferable
API-Version
v2
Request-Methode
POST
Operation-ID
domain-check-domain-transferability

For some TLDs (e.g., .de), transferability cannot be evaluated. In these cases, transferable = true is returned.

Request​

Responses​

Format
application/json
Beschreibung

OK

  • reasonsobjectrequired
    • domainAgeTooSmallbooleanrequired
    • domainDoesNotExistbooleanrequired
    • enabledIngressInOtherProjectbooleanrequired

      An enabled ingress for this domain already exists in a project other than the given projectId. Delete that ingress or transfer the domain into that project.

    • inRedemptionPeriodbooleanrequired
    • premiumDomainbooleanrequired

      The registry charges a premium price for transferring this domain. Premium domains are not supported.

    • transferLockbooleanrequired
    • wrongAuthCodebooleanrequired
  • transferablebooleanrequired
Content-Type: application/json

{
"reasons": {
"domainAgeTooSmall": true,
"domainDoesNotExist": true,
"enabledIngressInOtherProject": true,
"inRedemptionPeriod": true,
"premiumDomain": true,
"transferLock": true,
"wrongAuthCode": true
},
"transferable": true
}
{
"properties": {
"reasons": {
"properties": {
"domainAgeTooSmall": {
"type": "boolean"
},
"domainDoesNotExist": {
"type": "boolean"
},
"enabledIngressInOtherProject": {
"description": "An enabled ingress for this domain already exists in a project other than the given projectId. Delete that ingress or transfer the domain into that project.",
"type": "boolean"
},
"inRedemptionPeriod": {
"type": "boolean"
},
"premiumDomain": {
"description": "The registry charges a premium price for transferring this domain. Premium domains are not supported.",
"type": "boolean"
},
"transferLock": {
"type": "boolean"
},
"wrongAuthCode": {
"type": "boolean"
}
},
"required": [
"domainDoesNotExist",
"wrongAuthCode",
"transferLock",
"domainAgeTooSmall",
"inRedemptionPeriod",
"enabledIngressInOtherProject",
"premiumDomain"
],
"type": "object"
},
"transferable": {
"type": "boolean"
}
},
"required": [
"transferable",
"reasons"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"authCode":"string","domain":"string","projectId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/domain-transferable
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.checkDomainTransferability({
"data": {
"authCode": "string",
"domain": "string",
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\CheckDomainTransferability\CheckDomainTransferabilityRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\CheckDomainTransferability\CheckDomainTransferabilityRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CheckDomainTransferabilityRequestBody to learn how to construct a valid instance
$body = new CheckDomainTransferabilityRequestBody(/* TODO: ... */);

$request = (new CheckDomainTransferabilityRequest(
body: $body
));
$response = $client->domain()->checkDomainTransferability($request);

var_dump($response->getBody();

Auf dieser Seite